<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrIndividualBusinessInformationMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrIndividualBusinessInformation">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="peId" column="PE_ID" jdbcType="VARCHAR"/>
            <result property="personid" column="PERSONID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="name" column="NAME" jdbcType="VARCHAR"/>
            <result property="sex" column="SEX" jdbcType="VARCHAR"/>
            <result property="natdate" column="NATDATE" jdbcType="DATE"/>
            <result property="litedeg" column="LITEDEG" jdbcType="VARCHAR"/>
            <result property="nation" column="NATION" jdbcType="VARCHAR"/>
            <result property="dom" column="DOM" jdbcType="VARCHAR"/>
            <result property="postalcode" column="POSTALCODE" jdbcType="VARCHAR"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="mobtel" column="MOBTEL" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="polstand" column="POLSTAND" jdbcType="VARCHAR"/>
            <result property="occstbeapp" column="OCCSTBEAPP" jdbcType="VARCHAR"/>
            <result property="certype" column="CERTYPE" jdbcType="VARCHAR"/>
            <result property="cerno" column="CERNO" jdbcType="VARCHAR"/>
            <result property="cerissdate" column="CERISSDATE" jdbcType="DATE"/>
            <result property="operarea" column="OPERAREA" jdbcType="VARCHAR"/>
            <result property="cervalper" column="CERVALPER" jdbcType="DATE"/>
            <result property="notorg" column="NOTORG" jdbcType="VARCHAR"/>
            <result property="notdocno" column="NOTDOCNO" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,PE_ID,PERSONID,
        PRIPID,NAME,SEX,
        NATDATE,LITEDEG,NATION,
        DOM,POSTALCODE,TEL,
        MOBTEL,EMAIL,POLSTAND,
        OCCSTBEAPP,CERTYPE,CERNO,
        CERISSDATE,OPERAREA,CERVALPER,
        NOTORG,NOTDOCNO,S_EXT_DATATIME,
        uni_code
    </sql>
</mapper>
